Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154022 - On 2.4.21 based kernels, /proc/pid doesn't include the consolidated resource utilization of the threads it has created.
Summary: On 2.4.21 based kernels, /proc/pid doesn't include the consolidated resource ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: noarch
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ingo Molnar
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 16:28 UTC by Amanulla
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Amanulla 2005-04-06 16:28:50 UTC
Description of problem:
On 2.4.21 based kernels, /proc/pid doesn't include the consolidated resource 
utilization of the threads it has created.

On 2.4.21 based kernels /proc has got hidden directories which has got the 
thread related statistics.
1) /proc/pid reflects resource usage of the process
2) /proc/.pid  (I Was referring to this as a thread ID). Kernel stores thread 
resource utilization under this directory.

The resource utilization (say cpu utilization) statistics under /proc/pid 
doesn't include resource utilization of threads which that process has created.

 I have checked with 'linux-kernel@vger.kernel.org' group, they have replied 
that this is a vendor specific issue. I would like to know if this has been 
already fixed in later versions of the kernel.


Version-Release number of selected component (if applicable):
Linux 2.4.21-4.EL

How reproducible:
Run a multi threaded process and check CPU/memory/disk utilization of process 
and we can see that the statistics do not include the CPU/memory/disk 
utilization of the threads it has created.

Steps to Reproduce:
1. Run a process which creates threads.
2. Check the resource utilization provided under /proc/pid
3. Statistics under /proc/pid doesn't reflect /proc/.<tid>
  
Actual results:
Statistics under /proc/pid don't include thread resource utilization of the 
threads it has created.


Expected results:
Statistics under /proc/pid should include thread resource utilization also.


Additional info:
Assume we have a process with pid = 1234
And this process creates two threads with thread IDs 1235 & 1236.
We have three entries
 a)  /proc/1234
 b) /proc/.1235
 c) /proc/.1236
    The statistics under /proc/1234 don't include resource utilization of 
threads 1235 & 1236.

Comment 5 Amanulla 2005-09-16 06:37:18 UTC
Could you please let me know what additional info is required? 

Thanks & Regards,
Amanulla


Comment 61 RHEL Product and Program Management 2007-10-19 19:05:15 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.